Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Applications that use QNXStageWebView must be recompiled

Please note that due to changes in the underlying APIs, all BlackBerry PlayBook applications that make use of the QNXStageWebView (including all PlayBook WebWorks applications) that were built using 0.9.3 or lower of the Tablet OS SDK must be recompiled and resubmitted to App World using version 0.9.4 of the Tablet OS SDK.

 

Email notifications have gone out to affected App World Vendors.

 

 

 

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
EraserX
Posts: 168
Registered: ‎01-13-2011
My Device: Not Specified

Re: Applications that use QNXStageWebView must be recompiled

Is the corollary to this that where a new SDK does not break your application it is not necessary to recompile your application and resubmit with the new SDK?

Please use plain text.
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Applications that use QNXStageWebView must be recompiled

 


EraserX wrote:

Is the corollary to this that where a new SDK does not break your application it is not necessary to recompile your application and resubmit with the new SDK?


 

If you application does not use QNXStageWebView you do not need to recompile and re-submit (for this reason). 

 

You'll still need to ensure that you have submitted a signed version of your application, which may mean a resubmission if you submitted an unsigned version.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Regular Contributor
L7ColWinters
Posts: 82
Registered: ‎11-12-2010
My Device: Android Droid Incredible
My Carrier: Verizion

Re: Applications that use QNXStageWebView must be recompiled

What has changed for the QNXStageWebView? Also is it planned to properly disappear when you set the stage to null or set visible to false? Currently you have to mouse over it, then it will disappear, or dispose of the object all together.

 

Can we recieve notification on what is currently supported via HTML5 at the current releases? W3C and google gears fails to do ip to location which at the least W3C ip to location is in the HTML5 standard. I know it is planned to have full HTML5 support, but it would be nice to know where the webkit browser stands from a development perspective.

Please use plain text.
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Applications that use QNXStageWebView must be recompiled

 


L7ColWinters wrote:

What has changed for the QNXStageWebView? Also is it planned to properly disappear when you set the stage to null or set visible to false? Currently you have to mouse over it, then it will disappear, or dispose of the object all together.

 


 

This sounds like a bug.  I recommend logging it in Issue Tracker:  https://www.blackberry.com/jira/secure/Dashboard.jspa

 

 


L7ColWinters wrote:

 

Can we receive notification on what is currently supported via HTML5 at the current releases? W3C and google gears fails to do ip to location which at the least W3C ip to location is in the HTML5 standard. I know it is planned to have full HTML5 support, but it would be nice to know where the webkit browser stands from a development perspective.


 

You can find HTML, CSS and JavaScript references for the BlackBerry Browser here:  http://docs.blackberry.com/en/developers/subcategories/?userType=21&category=BlackBerry+Browser

 

The browser in the BlackBerry PlayBook will be nearly identical to the BlackBerry 6 browser.  This document is being updated to list PlayBook as well.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Regular Contributor
L7ColWinters
Posts: 82
Registered: ‎11-12-2010
My Device: Android Droid Incredible
My Carrier: Verizion

Re: Applications that use QNXStageWebView must be recompiled

[ Edited ]

Thanks for responding. I went to the link you pasted for the supported standards and indeed the W3C geolocation api is supported, but when is my question? Right now the browser doesn't actually support it as I have tested it with a html file. So, when will these supported apis actually get supported is what i'm asking.

 

Also why is it required that we use 0.9.4 if were using the QNXStageWebView class? what changes to the API were made?

Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Applications that use QNXStageWebView must be recompiled

It is unlikely we will ever get a "when" question answered.

 

The API may have not changed, but maybe attributes were changed that required the application to be recompiled against the library.

 

Please use plain text.
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Applications that use QNXStageWebView must be recompiled

 


L7ColWinters wrote:

Thanks for responding. I went to the link you pasted for the supported standards and indeed the W3C geolocation api is supported, but when is my question? Right now the browser doesn't actually support it as I have tested it with a html file. So, when will these supported apis actually get supported is what i'm asking.

 

Also why is it required that we use 0.9.4 if were using the QNXStageWebView class? what changes to the API were made?


 

Can't answer when... but for the second question, the changes to QNXStageWebView happened under the covers in the API code itself.  This shouldn't change the way it behaves within your application.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
jffurlan
Posts: 1,003
Registered: ‎01-16-2011
My Device: PlayBook (sim)
My Carrier: Rogers

Re: Applications that use QNXStageWebView must be recompiled

Mark,

Mike Kirkup stated a GM version of the SDK will be released before launch. Should we resubmit under 0.9.4, or just wait until 1.0.0? I knowit not a big deal to submit twice, but I'd hate to have every dev throwing unnecessary multiple submissions at you guys.

Thanks.
- If you like my response/post, or it helped you find an answer you were looking for, please provide a Kudo - white star to the bottom right of this post. -
- Please use the search bar at the top, or check out the PlayBook FAQ's for help getting started -
- Hockey DrillBook -
Please use plain text.
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Applications that use QNXStageWebView must be recompiled

At this point we are recommending re-submitting using 0.9.4 (if you use QNXStageWebView).

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.